Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class RuntimeManagerFactoryImpl

    java.lang.Object
      org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RuntimeManagerFactory

    @ApplicationScoped
    public class RuntimeManagerFactoryImpl

extends Object
implements org.kie.internal.runtime.manager.RuntimeManagerFactory

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.RuntimeManagerFactory
`org.kie.internal.runtime.manager.RuntimeManagerFactory.Factory`

Constructor Summary
`RuntimeManagerFactoryImpl()`

Method Summary
`protected org.kie.internal.runtime.manager.SessionFactory` | `getSessionFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`org.kie.internal.runtime.manager.TaskServiceFactory` | `getTaskServiceFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`protected void` | `initTimerService(org.kie.internal.runtime.manager.RuntimeEnvironment environment, RuntimeManager manager)`
`RuntimeManager` | `newPerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`RuntimeManager` | `newPerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, String identifier)`
`RuntimeManager` | `newPerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`RuntimeManager` | `newPerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, String identifier)`
`RuntimeManager` | `newSingletonRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`RuntimeManager` | `newSingletonRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, String identifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeManagerFactoryImpl

    public RuntimeManagerFactoryImpl()

Method Detail

### newSingletonRuntimeManager

    @Produces
    public RuntimeManager newSingletonRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

  Specified by:
    `newSingletonRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newSingletonRuntimeManager

    public RuntimeManager newSingletonRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                                     String identifier)

  Specified by:
    `newSingletonRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newPerRequestRuntimeManager

    @Produces
    public RuntimeManager newPerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

  Specified by:
    `newPerRequestRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newPerRequestRuntimeManager

    public RuntimeManager newPerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                                      String identifier)

  Specified by:
    `newPerRequestRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newPerProcessInstanceRuntimeManager

    @Produces
    public RuntimeManager newPerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

  Specified by:
    `newPerProcessInstanceRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newPerProcessInstanceRuntimeManager

    public RuntimeManager newPerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                                              String identifier)

  Specified by:
    `newPerProcessInstanceRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### getSessionFactory

    protected org.kie.internal.runtime.manager.SessionFactory getSessionFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

### getTaskServiceFactory

    public org.kie.internal.runtime.manager.TaskServiceFactory getTaskServiceFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

### initTimerService

    protected void initTimerService(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                    RuntimeManager manager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.